Update a use case
curl --request PUT \
--url https://api.example.com/api/core/use-cases/{use_case_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"sync_connectors": [],
"credential_ids": [
"<string>"
],
"sync_connectors_enabled_user_credentials": []
}
'import requests
url = "https://api.example.com/api/core/use-cases/{use_case_id}"
payload = {
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"sync_connectors": [],
"credential_ids": ["<string>"],
"sync_connectors_enabled_user_credentials": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: {
en: '<string>',
de: '<string>',
es: '<string>',
fr: '<string>',
it: '<string>',
nl: '<string>',
pl: '<string>',
pt: '<string>',
sv: '<string>'
},
description: {
en: '<string>',
de: '<string>',
es: '<string>',
fr: '<string>',
it: '<string>',
nl: '<string>',
pl: '<string>',
pt: '<string>',
sv: '<string>'
},
sync_connectors: [],
credential_ids: ['<string>'],
sync_connectors_enabled_user_credentials: []
})
};
fetch('https://api.example.com/api/core/use-cases/{use_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}use-cases
Update a use case
PUT
/
api
/
core
/
use-cases
/
{use_case_id}
Update a use case
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Path Parameters
Body
application/json
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Available options:
confluence, disa, google_drive, google_oauth, jira, one_losp, sap_btp, servicenow, sharepoint, still_sales_and_service, smtp, cloud_storage, manually_synced Available options:
confluence, disa, google_drive, google_oauth, jira, one_losp, sap_btp, servicenow, sharepoint, still_sales_and_service, smtp, cloud_storage, manually_synced Response
Successful Response
Was this page helpful?
⌘I

